Bug 467643 - Review Request: sugar-speak - Speak for Sugar
Review Request: sugar-speak - Speak for Sugar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-19 17:59 EDT by Fabian Affolter
Modified: 2009-01-14 21:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkearney: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OLPC 8961 None None None Never

  None (edit)
Description Fabian Affolter 2008-10-19 17:59:32 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-speak.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-speak-9-1.fc10.src.rpm

Description:
Speak is a talking face for the XO laptop. Anything you type will be spoken
aloud using the XO's speech synthesizer, espeak. You can adjust the accent,
rate and pitch of the voice as well as the shape of the eyes and mouth. This
is a great way to experiment with the speech synthesizer, learn to type or 
just have fun making a funny face for your XO. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=889310

[fab@localhost SRPMS]$ rpmlint -i sugar-speak-9-1.fc10.src.rpm 
sugar-speak.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[fab@localhost noarch]$ rpmlint -i sugar-speak-9-1.fc10.noarch.rpm 
sugar-speak.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Bryan Kearney 2008-11-18 08:57:44 EST
See items below:

 OK - Package name
  XX - License info is accurate
License is GPLv3

  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  ?? - Source md5sum matches upstream
- Barring a "release" from upstream, can you export the source code usig the fixed snapshot url (http://dev.laptop.org/git?p=activities/speak;a=snapshot;h=f76cea50b0fdee97e92ce94ac379155d6f8d52ac)

  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  ?? - rpmlint is silent

- rpmlint on the srpm shows this (the last 3 are worriesome)
sugar-maze.src: W: non-standard-group Sugar/Activities
sugar-maze.src: W: strange-permission sugar-maze-checkout.sh 0755
sugar-maze.src: W: strange-permission Maze-6.tar.bz2 0755
sugar-maze.src: W: strange-permission sugar-maze.spec 0755
Comment 2 Fabian Affolter 2008-11-18 19:33:03 EST
(In reply to comment #1)
> sugar-maze.src: W: non-standard-group Sugar/Activities

Copy-and-paste error? ;-)  Anyway, the permission of the file from comment #1 are fixed
Comment 3 Bryan Kearney 2008-11-19 08:21:49 EST
Can you re-post the spec file and srcrpm with the new licens info. If I can see those I can approve (Speak is GPLv3)
Comment 4 Fabian Affolter 2008-11-19 16:31:58 EST
Sorry, I didn't upload a new version.

After a new check of the license.  The license is GPLv3+.  COPYING says GPLv3, the file headers says "either version 3 of the License, or (at your option) any later version" 

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-speak.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-speak-9-2.fc10.src.rpm
Comment 5 Fabian Affolter 2008-11-20 03:27:04 EST
Bryan, don't go ahead with this review.

For this package 'mkdir -p  %{buildroot}/%{sugaractivitydir}' is perhaps not necessary, too.
Comment 6 Bryan Kearney 2008-11-20 09:14:11 EST
Looks like you need to add requires for the following pakcages:

numpy
espeak

Add those, and I am fine. I honestly am fine with the extra mkdir. Post the new requires and I will approve it.
Comment 7 Fabian Affolter 2008-12-14 11:58:39 EST
Thanks Bryan

Here are the new files:

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-speak.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-speak-9-3.fc10.src.rpm
Comment 8 Bryan Kearney 2008-12-15 09:58:49 EST
APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully
imported
and built.
Comment 9 Fabian Affolter 2008-12-19 08:43:09 EST
New Package CVS Request
=======================
Package Name:   sugar-speak
Short Description:  Speak for Sugar
Owners:  fab
Branches: F-10
InitialCC:
Comment 10 Kevin Fenzi 2008-12-20 23:00:02 EST
cvs done.
Comment 11 Fedora Update System 2008-12-22 16:05:25 EST
sugar-speak-9-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-speak-9-3.fc10
Comment 12 Fedora Update System 2008-12-24 13:40:09 EST
sugar-speak-9-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-speak'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11788
Comment 13 Fedora Update System 2009-01-14 21:53:18 EST
sugar-speak-9-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.